ClassNameCompleter (Grails 6.0.0)

Package: org.grails.cli.interactive.completers

## [Groovy] Class ClassNameCompleter

- org.grails.cli.interactive.completers.ClassNameCompleter

-     @groovy.transform.CompileStatic
      class ClassNameCompleter
      extends StringsCompleter

  A completer that completes class names

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.Map<java.lang.String, java.util.SortedSet<java.lang.String>>` | `RESOURCE_SCAN_CACHE` |
    `private static java.util.Collection<ClassNameCompleter>` | `allCompeters` |
    `private java.io.File[]` | `baseDirs` |
    `private PathMatchingResourcePatternResolver` | `resourcePatternResolver` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class StringsCompleter` | `strings`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `resourcePatternResolver`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassNameCompleter (java.io.File baseDir)`
    `ClassNameCompleter (java.io.File[] baseDirs)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private void` | `initialize(java.io.File[] baseDirs)`
    `` | `boolean` | `isValidResource(Resource resource)`
    `` | `private void` | `refresh()`
    `` | `static void` | `refreshAll()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StringsCompleter` | `complete, getStrings, setStrings`

- - ### Field Detail

    - #### private static java.util.Map<java.lang.String, java.util.SortedSet<java.lang.String>> RESOURCE_SCAN_CACHE

    - #### private static java.util.Collection<ClassNameCompleter> allCompeters

    - #### private java.io.File[] baseDirs

    - #### private PathMatchingResourcePatternResolver resourcePatternResolver

  - ### Property Detail

    - #### org.springframework.core.io.support.PathMatchingResourcePatternResolver resourcePatternResolver

  - ### Constructor Detail

    - #### ClassNameCompleter(java.io.File baseDir)

    - #### ClassNameCompleter(java.io.File[] baseDirs)

  - ### Method Detail

    - #### private void initialize(java.io.File[] baseDirs)

    - #### boolean isValidResource(Resource resource)

    - #### private void refresh()

    - #### static void refreshAll()